killswitch

CBA: Community Base Addons for A2, OA and CO

801 posts in this topic

You'll need to fix the mission / other used addons; Something is redefining nil variable; 'nil = .......' (Perhaps a DAC mission as DAC examples contained 'nil = ...'.)

Did you not get the warning?

"WARNING: NIL VARIABLE OVERRIDEN; Please fix Mission or loaded addon-scripts"

Edited by Sickboy

Share this post


Link to post
Share on other sites

Sorry, you're right. Didn't notice they were connected. Silly me. I saw your post on that in another thread. Will contact mission maker asap.

Cheers!

Share this post


Link to post
Share on other sites

C.B.A. v0.7.0 - Released!

http://dev-heaven.net/news/481

(requesting Killswitch to update the first post ;-))

The release equals that of CBA included with the latest ACE Stable (v1.6), however as per usual it is signed with official CBA key.

To complete it, we have additionally included the dev-keys and signatures seperately within the archive.

Edited by Sickboy

Share this post


Link to post
Share on other sites

Congratulations on the release! :thumb:

Edited by Lonestar

Share this post


Link to post
Share on other sites

Nice!

Can and should A2 vanilla users upgrade from 0.6 to 0.7? Or is this destined for ACE 1.6 users?

Share this post


Link to post
Share on other sites

Yes you can. CBA is standalone from ACE, and is intended for users of all three variations of Arma 2:

the original ArmA 2, ArmA 2 Operation Arrowhead and ArmA 2: Combined Operations.

Copying the release post for easyness :)

CBA v0.7.0

This release is, like the v0.6.0 release, intended for users of all three variations of ArmA 2.

Key Changes

  • IMPROVED: Initialization behavior in general, and especially BI Functions Module init, and post-init on dedicated servers.
  • FIXED: XEH onRespawn handling
  • CHANGED: KeyHandlers can now be changed and removed on the fly
  • CHANGED: FiredEventhandler includes _magazine, when using latest 1.55 beta's
  • ADDED: CBA_actionHelper by BigDawgKS.
  • Internal fixes and improvements

Full documentation is available at DevHeaven.

Issue Changelog is available at DevHeaven

Download

The addons, manual, functions reference and complete sources are included in the release.

Edited by Sickboy

Share this post


Link to post
Share on other sites

Thanks a lot for keeping us informed Sickboy :)

I have updated our mirror as well with this new version:

Seeing as in the past there was confusion about the CBA version as well as some version differences I also added the CBA OA and the CBA A2 to our download sections which will be updated with each ACE2 stable release (as how you release them). Is that ok or do you want us to host only the main version of CBA?

Share this post


Link to post
Share on other sites
Thanks a lot for keeping us informed Sickboy :)

I have updated our mirror as well with this new version:

Seeing as in the past there was confusion about the CBA version as well as some version differences I also added the CBA OA and the CBA A2 to our download sections which will be updated with each ACE2 stable release (as how you release them). Is that ok or do you want us to host only the main version of CBA?

Hey mate, np, and thanks for your awesome hosting and news services!

The CBA 0.7.0 archive available at dev-heaven and the one you are hosting, contains all three CBA modfolders (so including _A2 and _OA).

Re hosting the dev versions, currently identical to the ones in that archive, having the future dev versions of CBA available at armaholic, next to the official releases is certainly welcome, tnx!

Share this post


Link to post
Share on other sites

I've been working on a way to have XEH support even on addons/mods that do not support it out of the box.

Beyond the possibility of any 3rd party, to create an override config with XEH handlers for any addon, we're now able to support them regardless.

It has a few limitations listed in the related ticket and code, and i'm still working on improving the implementation.

If anyone would like to give it a spin, please find it attached incl details at;

http://dev-heaven.net/issues/15038

In short;

If you'd like to play with several Mods, even though one or more are not compatible with XEH, and therefore lack/break functionality of Mods that use it, incl. ACE, then this is for you!

Edited by Sickboy

Share this post


Link to post
Share on other sites

Running CO latest patch, in vanilla with no other addons except @CBA you cant see the codes in functionviewer, u see the list of functions but no longer the actual code nore can u copy to clipboard.

Edited by metal [MTL]

Share this post


Link to post
Share on other sites
;1786316']Running CO latest patch' date=' in vanilla with no other addons except @CBA you cant see the codes in functionviewer, u see the list of functions but no longer the actual code nore cant u copy to clipboard.[/quote']

http://dev-heaven.net/issues/15056

Share this post


Link to post
Share on other sites
;1786359']Confirmed to work.

U guys trying to brake records in quick fix :bounce3:

reg' date=' M[/quote']

:yay: :cool:

Unsure yet when we'll release the first patch (v0.7.1),

officially including this fix, as well as the XEH-Support for addons that do not support it.

Perhaps next week unless severe issues found.

Share this post


Link to post
Share on other sites
:yay: :cool:

Unsure yet when we'll release the first patch (v0.7.1),

officially including this fix, as well as the XEH-Support for addons that do not support it.

Perhaps next week unless severe issues found.

Have to add, that u now get a warning that ace need version 3.0.2 of extendeteventhandlers when running a mission that requier ace2.

Share this post


Link to post
Share on other sites
;1786370']Have to add' date=' that u now get a warning that ace need version 3.0.2 of extendeteventhandlers when running a mission that requier ace2.[/quote']

Please add details and your rpt file in the ticket, I cannot reproduce the issue.

Share this post


Link to post
Share on other sites
Please add details and your rpt file in the ticket, I cannot reproduce the issue.

[10365,671.467,0,"CBA_VERSIONING",["#CBA_HASH#",["cba","ace"],[[[0,7,0,136],-1],[[1,6,0,425],-1]],[[0,0,0],0]]]

WARNING: ace requires extended_eventhandlers (@XEH) at version [3,0,2] (or higher)

WARNING: cba requires extended_eventhandlers (@XEH) at version [3,0,2] (or higher)

this after putting in the 2 files from the fix. overwritten the existing ones. Functionviewer works and found no real issues during the limited test, just the warnings.:j:

reg M

Share this post


Link to post
Share on other sites

Is it possible you have some other versions of extended_eventhandlers.pbo inside your arma2\addons folder or other @MOD folders?

Incase you have please remove them.

Otherwise please try the new archive available @ http://dev-heaven.net/issues/15056

Edited by Sickboy

Share this post


Link to post
Share on other sites
Is it possible you have some other versions of extended_eventhandlers.pbo inside your arma2\addons folder or so?

Incase you have please remove them.

Otherwise please try the new archive available @ http://dev-heaven.net/issues/15056

ctually had one in the Wings of Russia (not used in the mission just had it in for a test, thought I had turned off the mod switch), turned it off and then.... any ace mission ends with CTD!!!, both with 1st and 2nd fileset.

ErrorMessage: Include file x\cba\addons\extended_eventhandlers\script_macros_common.hpp not found.

Share this post


Link to post
Share on other sites
Please retry with; http://dev-heaven.net/issues/15056#change-73591

It seems something fishy has been going on during packing :)

The pbo's should go (overwrite) in @CBA\addons, and need to make sure the modfolder is loaded. The RPT file shows you which mod(folders) are loaded etc.

same error

ErrorMessage: Include file x\cba\addons\extended_eventhandlers\script_mod.hpp not found.

=====================================================================

== C:\Program Files\Bohemia Interactive\ArmA 2\arma2OA.exe

== "C:\Program Files\Bohemia Interactive\ArmA 2\arma2OA.exe" -nosplash -showscripterrors -maxmem=2047 -world=empty -mod=Expansion;@CBA;@ACE;ACEX;ACE_SM;ACE_USN;ACE_RU;@SAM_B1;@SFP;@MTL;@theFew;@warship

=====================================================================

Exe timestamp: 2010/09/17 08:32:42

Current time: 2010/11/11 20:27:00

will try a clean run with only cba loaded and a default mission.

running a clean run with a default mission and same error!

---------- Post added at 08:45 PM ---------- Previous post was at 08:31 PM ----------

Need to run off to work, back in tomorrow.

reg M

reverted to 1.5, wait for a CO version of the 1.6

Edited by metal [MTL]
new info

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now